Company logoTrust Center Documentation
API v1 ReferenceDocumentsIdVersions

List document versions

List version summaries for the selected locale. The `locale` query value takes precedence over `x-locale`; the tenant default locale is the fallback when…

GET
/api/v1/documents/{id}/versions

List version summaries for the selected locale. The locale query value takes precedence over x-locale; the tenant default locale is the fallback when neither value is supplied.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Document UUID

Formatuuid

Query Parameters

locale?string

Selected locale. This value takes precedence over x-locale. An invalid or disabled explicit value returns 400.

Header Parameters

x-locale?string

Selected locale when the locale query value is not supplied. The tenant default locale is the fallback only when both locale inputs are absent. An invalid or disabled explicit value returns 400.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions"
{  "versions": [    {      "id": "b9db1e63-3c9c-4b37-a1b1-29d9a7df0a46",      "key": "00000000-0000-4000-8000-000000000000",      "name": "Approved policy",      "status": "published",      "is_active": true,      "date_created": "2025-04-30T09:30:00Z",      "date_updated": "2025-05-02T11:05:00Z",      "modified_fields": [        "description_markdown"      ]    }  ]}

How is this guide?